Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartTypeInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo

Direct Known Subclasses:
  AreaInfo, BarExtendInfo, BarInfo, BoPPoPInfo, ColumnInfo, DropBarInfo, LineInfo, PieInfo, RadarInfo, ScatterInfo, StockInfo, SurfaceInfo

    public abstract class ChartTypeInfo

extends java.lang.Object

Contains the information of chart type in the file.

Field Summary
`static int` | `AREA` Represents Area Chart.
`static int` | `BAR` Represents Bar Chart.
`static int` | `BAR_AREA` Represents bar area chart.
`static int` | `BAR_LINE` Represents bar line combo chart.
`static int` | `BOPPOP` Represents bar of pie chart or pie of pie chart.
`static int` | `COLUMN` Represents Column Chart.
`static int` | `CONE` Represents Cone Chart.
`static int` | `CYLINDER` Represents Cylinder Chart.
`static int` | `DROPBAR` Represents drop bar chart.
`static int` | `LINE` Represents Line Chart.
`static int` | `LINE_LINE` Represents line line combo chart.
`static int` | `PIE` Represents Pie Chart.
`static int` | `PYRAMID` Represents Pyramid Chart.
`static int` | `RADAR` Represents Radar Chart.
`static int` | `SCATTER` Represents Scatter Chart.
`static short` | `SHOWBUBBLESIZE` Shows bubble size as the data label.
`static short` | `SHOWLABEL` Shows category as the data label.
`static short` | `SHOWLABPER` Shows category and percentage as the data label.
`static short` | `SHOWNONE` Shows nothing about the data label.
`static short` | `SHOWPERCENT` Shows percentage as the data label.
`static short` | `SHOWVALUE` Shows value as the data label.
`static int` | `STOCK` Represents Stock Chart.
`static int` | `SURFACE` Represents Surface Chart.

Constructor Summary
`ChartTypeInfo()`
`ChartTypeInfo(short dataLabel, boolean is3D, Info3D info3D)` Constructs class ChartTypeInfo and sets its fields appropriately.

Method Summary
`void` | `addSeries(SeriesInfo seriesInfo)` Adds a SeriesInfo into the ArrayList series.
`java.lang.String[]` | `getCatName()` Gets the category names of chart.
`java.lang.String` | `getCatNameRef()` Gets the category names reference of chart.
`abstract int` | `getChartType()` Gets the type of the chart.
`short` | `getDataLabel()` Gets the type of chart data label.
`Info3D` | `getInfo3D()` Gets the chart 3D information.
`boolean` | `getIs3D()` Gets whether the chart is 3D or not.
`SeriesInfo` | `getSeries(int index)` Gets a SeriesInfo from the ArrayList series.
`int` | `getSeriesSize()` Gets the size of the ArrayList series.
`abstract short` | `getStyle()` Gets the style of the chart.
`abstract boolean` | `hasShadow()` Gets whether the chart has shadow or not.
`void` | `insertSeries(int index, SeriesInfo seriesInfo)` Inserts a SeriesInfo into the ArrayList series.
`SeriesInfo` | `removeSeries(int index)` Removes a SeriesInfo from the ArrayList series.
`void` | `replace(int i, SeriesInfo seriesInfo)`
`void` | `setCatName(java.lang.String[] catName)` Sets the category names of chart.
`void` | `setCatNameRef(java.lang.String catNameRef)` Sets the category names reference of chart.
`void` | `setCatNameRef(java.lang.String catNameRef, int catSize)`
`void` | `setDataLabel(short dataLabel)` Sets the type of chart data label.
`void` | `setInfo3D(Info3D info3D)` Sets the chart 3D information.
`void` | `setIs3D(boolean is3D)` Sets whether the chart is 3D or not.
`void` | `setIsPercentDataLabel(boolean firstAxisData, boolean secondAxisData)`
`void` | `setIsShowY2(boolean showy2)`
`void` | `setIsShowYAxis(boolean showy1)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PIE

    public static final int PIE

  Represents Pie Chart.

  See Also:
    Constant Field Values

### BAR

    public static final int BAR

  Represents Bar Chart.

  See Also:
    Constant Field Values

### COLUMN

    public static final int COLUMN

  Represents Column Chart.

  See Also:
    Constant Field Values

### LINE

    public static final int LINE

  Represents Line Chart.

  See Also:
    Constant Field Values

### AREA

    public static final int AREA

  Represents Area Chart.

  See Also:
    Constant Field Values

### RADAR

    public static final int RADAR

  Represents Radar Chart.

  See Also:
    Constant Field Values

### SCATTER

    public static final int SCATTER

  Represents Scatter Chart.

  See Also:
    Constant Field Values

### SURFACE

    public static final int SURFACE

  Represents Surface Chart.

  See Also:
    Constant Field Values

### BOPPOP

    public static final int BOPPOP

  Represents bar of pie chart or pie of pie chart.

  See Also:
    Constant Field Values

### CYLINDER

    public static final int CYLINDER

  Represents Cylinder Chart.

  See Also:
    Constant Field Values

### CONE

    public static final int CONE

  Represents Cone Chart.

  See Also:
    Constant Field Values

### PYRAMID

    public static final int PYRAMID

  Represents Pyramid Chart.

  See Also:
    Constant Field Values

### STOCK

    public static final int STOCK

  Represents Stock Chart.

  See Also:
    Constant Field Values

### DROPBAR

    public static final int DROPBAR

  Represents drop bar chart.

  See Also:
    Constant Field Values

### BAR_LINE

    public static final int BAR_LINE

  Represents bar line combo chart.

  See Also:
    Constant Field Values

### LINE_LINE

    public static final int LINE_LINE

  Represents line line combo chart.

  See Also:
    Constant Field Values

### BAR_AREA

    public static final int BAR_AREA

  Represents bar area chart.

  See Also:
    Constant Field Values

### SHOWNONE

    public static final short SHOWNONE

  Shows nothing about the data label.

  See Also:
    Constant Field Values

### SHOWVALUE

    public static final short SHOWVALUE

  Shows value as the data label.

  See Also:
    Constant Field Values

### SHOWPERCENT

    public static final short SHOWPERCENT

  Shows percentage as the data label. Only used for pie chart.

  See Also:
    Constant Field Values

### SHOWLABPER

    public static final short SHOWLABPER

  Shows category and percentage as the data label. Only used for pie chart.

  See Also:
    Constant Field Values

### SHOWLABEL

    public static final short SHOWLABEL

  Shows category as the data label.

  See Also:
    Constant Field Values

### SHOWBUBBLESIZE

    public static final short SHOWBUBBLESIZE

  Shows bubble size as the data label. Only used for bubble chart.

  See Also:
    Constant Field Values

Constructor Detail

### ChartTypeInfo

    public ChartTypeInfo()

### ChartTypeInfo

    public ChartTypeInfo(short dataLabel,
                         boolean is3D,
                         Info3D info3D)

  Constructs class ChartTypeInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label `SHOWNONE` `SHOWVALUE` `SHOWPERCENT` `SHOWLABEL` `SHOWLABPER` `SHOWBUBBLESIZE`
    `is3D` - true indicates the chart is a 3D chart

Method Detail

### getChartType

    public abstract int getChartType()

  Gets the type of the chart.

  Returns:
    type of the chart

### getStyle

    public abstract short getStyle()

  Gets the style of the chart.

  Returns:
    style of the chart

### setIsPercentDataLabel

    public void setIsPercentDataLabel(boolean firstAxisData,
                                      boolean secondAxisData)

### getIs3D

    public boolean getIs3D()

  Gets whether the chart is 3D or not.

  Returns:
    true if the chart is 3D

### setIs3D

    public void setIs3D(boolean is3D)

  Sets whether the chart is 3D or not.

  Parameters:
    `is3D` - true specifies the chart is 3D

### getInfo3D

    public Info3D getInfo3D()

  Gets the chart 3D information.

  Returns:
    the chart 3D information

### setInfo3D

    public void setInfo3D(Info3D info3D)

  Sets the chart 3D information.

  Parameters:
    `info3D` - the chart 3D information

### getDataLabel

    public short getDataLabel()

  Gets the type of chart data label. `SHOWNONE` `SHOWVALUE` `SHOWPERCENT` `SHOWLABEL` `SHOWLABPER` `SHOWBUBBLESIZE`

  Returns:
    the type of chart data label

### setDataLabel

    public void setDataLabel(short dataLabel)

  Sets the type of chart data label. `SHOWNONE` `SHOWVALUE` `SHOWPERCENT` `SHOWLABEL` `SHOWLABPER` `SHOWBUBBLESIZE`

  Parameters:
    `dataLabel` - the type of chart data label

### getCatName

    public java.lang.String[] getCatName()

  Gets the category names of chart.

  Returns:
    the category names of chart

### setCatName

    public void setCatName(java.lang.String[] catName)

  Sets the category names of chart.

  Parameters:
    `catName` - the category names of chart

### getCatNameRef

    public java.lang.String getCatNameRef()

  Gets the category names reference of chart.

  Returns:
    the category names reference of chart, such as sheet1!a1:a4 and so on

### setCatNameRef

    public void setCatNameRef(java.lang.String catNameRef)

  Sets the category names reference of chart.

  Parameters:
    `catNameRef` - the category names reference of chart, such as sheet1!a1:a4 and so on

### setCatNameRef

    public void setCatNameRef(java.lang.String catNameRef,
                              int catSize)

### addSeries

    public void addSeries(SeriesInfo seriesInfo)

  Adds a SeriesInfo into the ArrayList series.

  Parameters:
    `seriesInfo` - the SeriesInfo to be added

### insertSeries

    public void insertSeries(int index,
                             SeriesInfo seriesInfo)

  Inserts a SeriesInfo into the ArrayList series.

  Parameters:
    `seriesInfo` - the SeriesInfo to be inserted
    `index` - the index of the seriesInfo to be inserted into the Arraylist

### removeSeries

    public SeriesInfo removeSeries(int index)

  Removes a SeriesInfo from the ArrayList series.

  Parameters:
    `index` - the index of the seriesInfo to be removed

### getSeriesSize

    public int getSeriesSize()

  Gets the size of the ArrayList series.

### getSeries

    public SeriesInfo getSeries(int index)

  Gets a SeriesInfo from the ArrayList series.

  Parameters:
    `index` - the index of the seriesInfo to be gotten

### hasShadow

    public abstract boolean hasShadow()

  Gets whether the chart has shadow or not.

  Returns:
    true if the chart has shadow

### replace

    public void replace(int i,
                        SeriesInfo seriesInfo)

### setIsShowYAxis

    public void setIsShowYAxis(boolean showy1)

### setIsShowY2

    public void setIsShowY2(boolean showy2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD